Skip to main content
GET
/
organizations
/
{organizationID}
/
githubapp
/
installations
List GitHub App installations for organization
curl --request GET \
  --url https://api.xata.tech/organizations/{organizationID}/githubapp/installations \
  --header 'Authorization: Bearer <token>'
{
  "installations": [
    {
      "id": "<string>",
      "installationId": 123,
      "organization": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+

Response

List of GitHub App installations

installations
object[]
required

Array of GitHub App installations